Subject: bug#72220: 31.0.50; [PATCH] Use 'unwind-protect' to ensure that Eshell always closes I/O handles

From: Andrea Corallo <[email-masked]>
Date: Thu, 01 Aug 2024 04:47:41 -0400

Jim Porter <[email-masked]> writes:

> On 7/20/2024 4:13 PM, Jim Porter wrote:
>> Luckily, thanks to the previous work here, we have a thorough suite
>> of regression tests, which made developing this patch a lot
>> easier. This also fixes some remaining issues with I/O handles (see
>> the new regression test).
>
> I've now merged this to the master branch as 50339b38fde. Closing this bug.

Hi Jim,

compiling master after 50339b38fde was installed is generating this warning:

eshell/em-dirs.el:430:14: Warning: ‘eshell-protect’ is an obsolete macro (as of 31.1).

Would you ming taking care of it?

Thanks

  Andrea